Index: tests/regression/Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at
===================================================================
--- tests/regression/Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at	(revision 6253ed4bcfa0dd23c33719d286276be9760ec373)
+++ tests/regression/Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at	(revision eff53659045871fd5068f260387e8147a43c861f)
@@ -41,5 +41,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --select-atoms-inside-volume -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/post/test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
@@ -48,5 +48,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --unselect-atoms-inside-volume -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-cuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/post/test-cuboid.xyz-sorted], 0, [ignore], [ignore])
@@ -63,5 +63,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --unselect-atoms-inside-volume -r --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/$file], 0, [ignore], [ignore])
 
@@ -69,5 +69,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --select-atoms-inside-volume -r --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/$file], 0, [ignore], [ignore])
 
@@ -81,5 +81,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --select-atoms-inside-volume -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/post/test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
@@ -88,5 +88,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/pre/test.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --set-shape --shape-type "cube" --translation "9.78,2.64,2.64" --stretch "2,2,2" --angle-x 0. --angle-y 0. --angle-z 0. --unselect-atoms-inside-volume -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-cuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/tests/regression/Atoms/RemoveCuboid/post/test-cuboid.xyz-sorted], 0, [ignore], [ignore])
